> ## Documentation Index
> Fetch the complete documentation index at: https://docs.didx.co.za/llms.txt
> Use this file to discover all available pages before exploring further.

# Secure Citizen Fingerprint Validation

> This is a service that validates fingerprint against dha



## OpenAPI

````yaml products/didx-verify/api-reference/v1/openapi.json post /Citizen/ValidateFingerPrint
openapi: 3.0.1
info:
  title: SecureCitizen.Citizen.Api
  description: >-
    This is the API documentation for Secure Citizen products. Should you
    require further information please contact us on the email provided.
  contact:
    name: Api Contant Name
    email: support@securecitizen.co.za
  license:
    name: Proprietary
    url: https://www.securecitizen.co.za
  version: v1
  x-logo:
    url: >-
      https://securecitizen.co.za/wp-content/uploads/2022/11/Untitled-design-14.svg
    altText: Secure Citizen
servers:
  - url: https://citizen.uat.securecitizen.cloud
security: []
tags:
  - name: Citizen
    description: This details information we can replace to describe this endpoint
  - name: CitizenV
    description: This details information we can replace to describe this endpoint
  - name: CustomClient
    description: This details information we can replace to describe this endpoint
  - name: Partner
    description: This details information we can replace to describe this endpoint
paths:
  /Citizen/ValidateFingerPrint:
    post:
      tags:
        - Citizen
      summary: Secure Citizen Fingerprint Validation
      description: This is a service that validates fingerprint against dha
      operationId: ValidateFingerPrint
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/SAFPSVerifyFingerPrintRequest'
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SAFPSVerifyFingerPrintResponse'
        '401':
          description: Unauthenticated
        '403':
          description: Unauthorized access to this resource
        '500':
          description: Cat-as-trophy
      security:
        - oauth2:
            - sc-citizen
components:
  schemas:
    SAFPSVerifyFingerPrintRequest:
      required:
        - ConsentReceived
        - fP1No
        - fP1WSQImage
        - IdNumber
      type: object
      properties:
        CRef:
          title: Client Reference
          type: string
          description: "Example: \"REF00001\"\r\n\r\nThis is the unique transaction reference number that can be supplied by the controller. This will be provided in response messages related to the transaction and will be required for identifying transactions for support purposes."
          format: string
          nullable: true
        ConsentReceived:
          title: Consent Received
          type: boolean
          description: "Example: true\r\n\r\nThis is an indicator to audit the fact that the controller has obtained consent from the subject to process their personal information and data as per the regulatory requirements pertaining to local and global privacy and data protection legislation."
          format: bool
        CacheEnabled:
          title: Cache Enabled
          type: boolean
          description: Allows third party to enable support for offline response data
        IdNumber:
          title: ID Number
          minLength: 1
          type: string
          description: Requested users ID Number
        fP1No:
          type: integer
          format: int32
        fP1WSQImage:
          minLength: 1
          type: string
        fP2No:
          type: integer
          format: int32
        fP2WSQImage:
          type: string
          nullable: true
      additionalProperties: false
    SAFPSVerifyFingerPrintResponse:
      type: object
      properties:
        CRef:
          title: Client Reference
          type: string
          description: >-
            This field will return the reference provided by the client to track
            the transaction.
          format: string
          nullable: true
        Status:
          $ref: '#/components/schemas/ExternalStatusEnums'
        Message:
          title: Message
          type: string
          description: >-
            This will return a status of the transaction s well as external
            tracking information.
          format: string
          nullable: true
        RequestedBy:
          title: Requested By
          type: string
          description: This will indicate who requested the data that is being provided.
          nullable: true
        AuthorizedBy:
          title: Authorized By
          type: string
          description: >-
            This will indicate who authorized the provision of the requested
            data
          nullable: true
        GoldenSource:
          $ref: '#/components/schemas/VerifyFingerPrintResponse'
        OfflineCacheResult:
          $ref: '#/components/schemas/VerifyFingerPrintResponse'
      additionalProperties: false
    ExternalStatusEnums:
      title: Status
      enum:
        - Success
        - Failure
        - Unknown
        - AuthFailure
        - DataDeserializationError
        - EmptyResults
        - ErrorContactSupport
        - FaceDetectionFailure
        - FaceComparisonFailure
        - NoStatusDefined
        - FaceDetectionQualityTooLow
        - FaceDetectionTooManyFaces
        - FaceDetectionNoFacesFound
        - FaceComparisonError
        - FaceComparisonNotSame
        - GoldenSourceImageNull
        - ProvidedImageNull
        - GoldenSourceNoFacesFound
        - ProvidedImageNoFacesFound
        - GoldenSourceHasTooManyFaces
        - ProvidedImageHasTooManyFaces
        - GoldenSourceQualityTooLow
        - ProvidedImageQualityTooLow
        - GoldenSourceGUIDIncorrect
        - ProvidedImageGUIDIncorrect
        - FaceAPIGeneralError
        - FaceAPIPublicUrlInputError
        - FaceBadInput
        - GoldenSourceIncorrectStringFormat
        - ProvidedImageIncorrectStringFormat
        - SAFPSNPROk
        - SAFPSHANISOk
        - SAFPSNIISOk
        - SAFPSNPRSlow
        - SAFPSHANISSlow
        - SAFPSNIISSlow
        - SAFPSFailure
        - SAFPSPossibleFailure
        - SAFPSNPRFailure
        - SAFPSHANISFailure
        - SAFPSNIISFailure
        - FaceTooClose
        - EyesClosed
        - FaceCloseToBorder
        - FaceCropped
        - FaceIsOccluded
        - FaceNotFound
        - TooManyFaces
        - FaceTooSmall
        - AbsoluteFaceTooSmall
        - RelativeFaceTooSmall
        - FaceAngleTooLarge
        - FailedToPredictLandmarks
        - Active
        - CSuccess
        - AsyncCSuccess
        - IdentificationNumberInvalid
        - IdentificationNumberAgeBelow18
        - UnableToVerifyIdentificationNumberOnDocument
        - UnableToVerifyIdentificationNumberAtGoldenSource
        - GoldenSourceUnavailable
        - MandatoryInformationMissing
        - NPRSuccess
        - HANISNotAvailable
        - InvalidIDNCheckDigitTestNotPassed
        - NPRNotAvailableOnlyPhotoIsReturned
        - IDNRIsNotCurrentlyAValidNPRIDNR
        - IDNRIsMarkedForDeletion
      type: string
      description: >-
        Status values (static strings) to be used for external connection
        management
      format: string
    VerifyFingerPrintResponse:
      type: object
      properties:
        RetValue:
          $ref: '#/components/schemas/ReturnValueResult'
        FingersResponse:
          type: array
          items:
            $ref: '#/components/schemas/FingerPrintResult'
          nullable: true
        IdNumber:
          type: string
          nullable: true
        UserName:
          type: string
          nullable: true
        OfficeName:
          type: string
          nullable: true
        StationId:
          type: string
          nullable: true
        Timestamp:
          type: string
          nullable: true
        TransactionNumber:
          type: string
          nullable: true
        CallCentreNoField:
          type: string
          nullable: true
      additionalProperties: false
    ReturnValueResult:
      type: object
      properties:
        iErrField:
          type: integer
          format: int32
        sErrorField:
          type: string
          nullable: true
        sTranIDField:
          type: string
          nullable: true
        sIDNField:
          type: string
          nullable: true
        sFPInd1Field:
          type: string
          nullable: true
        sFPInd2Field:
          type: string
          nullable: true
        sFP1ResultField:
          type: string
          nullable: true
        sFP2ResultField:
          type: string
          nullable: true
        iFP1ScoreField:
          type: integer
          format: int32
        iFP2ScoreField:
          type: integer
          format: int32
        yaPhotoField:
          type: string
          nullable: true
        sCallCentreNoField:
          type: string
          nullable: true
      additionalProperties: false
    FingerPrintResult:
      type: object
      properties:
        FingerId:
          type: integer
          format: int32
        WSQ:
          type: string
          nullable: true
        Status:
          type: integer
          format: int32
      additionalProperties: false
  securitySchemes:
    oauth2:
      type: oauth2
      flows:
        authorizationCode:
          authorizationUrl: https://sts.uat.securecitizen.cloud/connect/authorize
          tokenUrl: https://sts.uat.securecitizen.cloud/connect/token
          scopes:
            sc-citizen: SecureCitizen.Citizen.Api

````